Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.httppubsub
Interface PubSubServerFactory

public interface PubSubServerFactory

Helper utilities for PubSubServer.

See Also:
  `PubSubServer`

Method Summary
`PubSubServer` | `createPubSubServer(java.lang.String name, com.bea.httppubsub.descriptor.WeblogicPubsubBean bean)` Create a new PubSub server.
`PubSubServer` | `lookupPubSubServer(java.lang.String name)` Lookup a PubSubServer for an application.
`void` | `removePubSubServer(PubSubServer server)` Remove PubSub server from this factory.

Method Detail

### lookupPubSubServer

    public PubSubServer lookupPubSubServer(java.lang.String name)

  Lookup a PubSubServer for an application. Use the <name> element in <server-config> element of the descriptor file weblogic-pubsub.xml to lookup PubSub server. If the <name> element is NOT set in <server-config>, use context path of web application as name to lookup PubSub server.

  Parameters:
    `name` - - <name> set in <server-config> or context path of web application
  Returns:
    PubSub server or null if not found.

### createPubSubServer

    public PubSubServer createPubSubServer(java.lang.String name,
                                           com.bea.httppubsub.descriptor.WeblogicPubsubBean bean)

  Create a new PubSub server. The <name> set in <server-config> is name of the PubSub server. In case of <name> not set, the first parameter will be the name of the PubSub server. In normal case, it's context path of web application.

  Parameters:
    `name` - - name of PubSub server, can be overriden by <name> set in <server-config>
    `bean` - - WeblogicPubsubBean object which represents the deployment descriptor.
  Returns:
    PubSubServer that was just created
  Throws:
    java.lang.IllegalArgumentException - if bean is null or <name> is not set in descriptor and the name is null

### removePubSubServer

    public void removePubSubServer(PubSubServer server)

  Remove PubSub server from this factory.

  Parameters:
    `server` - instance of PubSub.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.